import { EventEmitter } from "../../stencil-public-runtime";
import { DeckdeckgoSlide } from '@deckdeckgo/slide-utils';
/**
 * @slot title - A title
 * @slot content - A content
 * @slot notes - Some notes related to this slide
 * @slot actions - Custom actions for this slide
 * @slot background - A custom background for this slide
 * @slot header - A custom header for this slide
 * @slot footer - A custom footer for this slide
 */
export declare class DeckdeckgoSlideTitle implements DeckdeckgoSlide {
  el: HTMLElement;
  /**
   * Triggered when the slide is loaded
   */
  slideDidLoad: EventEmitter<void>;
  /**
   * If you define a background for the all deck but, a specific one for this slide, set this option to true
   */
  customBackground: boolean;
  /**
   * If you provide actions for the all deck but, a specific one for this slide, set this option to true
   */
  customActions: boolean;
  componentDidLoad(): Promise<void>;
  beforeSwipe(enter: boolean, reveal: boolean): Promise<boolean>;
  afterSwipe(): Promise<void>;
  lazyLoadContent(): Promise<void>;
  revealContent(): Promise<void>;
  hideContent(): Promise<void>;
  render(): any;
}
